Skip to Content
Tasks

Log Time On Task

Accès

Membre de l’organisation avec cette autorisation :

  • tasks:write

Une clé API avec des scopes doit aussi avoir l’autorisation dans ses scopes.

POST
/orgs/{organizationId}/tasks/{taskId}/time-entries

Logs time the current user spent on a task on a given day.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

taskId*string

Request Body

application/json
  1. body
minutes*integer
Range0 <= value <= 1440
seconds?integer
Range0 <= value <= 59
Default0
spentOn*string
Formatdate
note?|null

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//tasks/string/time-entries' \  -H 'Content-Type: application/json' \  -d '{  "minutes": 0,  "spentOn": "2019-08-24"}'
Example Response
null